# Contains external methods used as workflow scripts

from Products.CMFCore.utils import getToolByName

def giveManagerLocalrole(self, state_change):
    """Give the object's owner the 'Manager' localrole."""
    
    obj = state_change.object
    owner = obj.Creator()
    obj.manage_setLocalRoles(owner, ['Manager'])
    
def takeManagerLocalrole(self, state_change):
    """Take away the 'Manager' localrole from the object's owner"""
    
    obj = state_change.object
    owner = obj.Creator()
    
    roles = list(obj.get_local_roles_for_userid(owner))
    
    if 'Manager' in roles:
        roles.remove('Manager')
        if not roles:
            context.manage_delLocalRoles([owner])
        else:
            context.manage_setLocalRoles(owner, roles)
            
        # Make sure we get ownership back
        putils = getToolByName(self, 'plone_utils')
        putils.changeOwnershipOf(obj, owner)